from read_baseline_data import *
#import nix_helpers as nh 
import matplotlib.pyplot as plt
import numpy as np
from IPython import embed #Funktionen importieren


data_dir = "../data"
dataset = "2018-11-09-aa-invivo-1"
#data = ("2018-11-09-aa-invivo-1", "2018-11-09-ab-invivo-1", "2018-11-09-ac-invivo-1", "2018-11-09-ad-invivo-1", "2018-11-13-aa-invivo-1", "2018-11-13-ab-invivo-1", "2018-11-13-ad-invivo-1", "2018-11-09-af-invivo-1", "2018-11-09-ag-invivo-1", "2018-11-13-ah-invivo-1", "2018-11-13-ai-invivo-1", "2018-11-13-aj-invivo-1", "2018-11-13-ak-invivo-1", "2018-11-13-al-invivo-1", "2018-11-14-aa-invivo-1", "2018-11-14-ab-invivo-1", "2018-11-14-ac-invivo-1", "2018-11-14-ad-invivo-1", "2018-11-14-ae-invivo-1", "2018-11-14-af-invivo-1", "2018-11-14-ag-invivo-1", "2018-11-14-aa-invivo-1", "2018-11-14-aj-invivo-1", "2018-11-14-ak-invivo-1", "2018-11-14-al-invivo-1", "2018-11-14-am-invivo-1", "2018-11-14-an-invivo-1")
time,eod = read_baseline_eod(os.path.join(data_dir, dataset))
zeit = np.asarray(time)


plt.plot(zeit[0:1000], eod[0:1000])
plt.title('A.lepto EOD')#Plottitelk
plt.xlabel('Time [ms]', fontsize = 12)#Achsentitel
plt.ylabel('Amplitude[mv]', fontsize = 12)#Achsentitel
plt.xticks(fontsize = 12)
plt.yticks(fontsize = 12)
plt.show()
